set term png
set grid

a1=16
b1=0.5
c1=2.25

r(x)= x*pi/180

f(x) = a1 + b1*(r(x))**2 +  c1*(r(x))**4
g(x) =     0.5*(r(x))**2 + 2.25*(r(x))**4


#fit [-65:65] f(x) "shades.txt" using 1:($2+$3)/2 via  a1, b1, c1


set xlabel 'Angle from the instrument axis / 1 degree 

set out 'slin.png'
set title 'Sensitivity of SQM; r(x) is the angle in radians'

plot [-75:75]  \
  10 ** ( -(0.5 * (r(x))**2 + 2.25 * (r(x))**4) / 2.5 )
#  10**(-g(x)/2.5) 

set out 'slin_d.png'

plot [-75:75]  \
 "sqm_cin.txt" using 1:($4+$5)/2 , \
  10 ** ( -(0.5 * (r(x))**2 + 2.25 * (r(x))**4) / 2.5 )


set out 'space.png'
set title 'Ring contribution to SQM reading for uniform sky; r(x) is the angle in radians'
plot [0:75]  \
 (10 ** (-(0.5 * (r(x))**2 + 2.25 * (r(x))**4) / 2.5)) * sin(r(x)) * 2*pi, \
 2 * pi * (1- cos(r(x))) , \
 sin(r(x)) * 2 * pi 
# (10 ** (-(0.5 * (r(x))**2 + 2.25 * (r(x))**4) / 2.5)) * sin(r(x)) /.38, \


set out 'slog.png'
set title 'Sensitivity of SQM; r(x) is the angle in radians'
set ylabel 'Decrease of sensitivity / 1 mag'

plot [-75:75] [5:0]  \
  0.5 * (r(x))**2 + 2.25 * (r(x))**4
 # g(x)


set out 'slog_d.png'
plot [-75:75] [5:0]  \
 "sqm_cin.txt" using 1:($2+$3)/2 - 16.03, \
  0.5 * (r(x))**2 + 2.25 * (r(x))**4
 # g(x)

